Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules
Class BaseExporterModule

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseExporterModule

All Implemented Interfaces:
  ExporterModule

Direct Known Subclasses:
  AuthorityExporter, ReportJobsExporter, ResourceExporter

    public abstract class BaseExporterModule

extends java.lang.Object
implements ExporterModule

Version:
  $Id: BaseExporterModule.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`protected java.lang.String` | `characterEncoding`
`protected static CommandOut` | `commandOut`
`protected ExecutionContext` | `executionContext`
`protected ExporterModuleContext` | `exportContext`
`protected boolean` | `exportEverything`
`protected Parameters` | `exportParams`
`protected ExportOutput` | `output`

Constructor Summary
`BaseExporterModule()`

Method Summary
`java.lang.String` | `getEverythingArg()`
`protected java.io.OutputStream` | `getFileOutput(java.lang.String parentPath, java.lang.String fileName)`
`java.lang.String` | `getId()`
`protected org.dom4j.Element` | `getIndexElement()`
`protected java.lang.String` | `getParameterValue(java.lang.String name)`
`protected java.lang.String[]` | `getParameterValues(java.lang.String name)`
`protected boolean` | `hasParameter(java.lang.String name)`
`void` | `init(ExporterModuleContext moduleContext)`
`protected boolean` | `isExportEverything()`
`protected abstract boolean` | `isToProcess()`
`protected void` | `mkdir(java.lang.String path)`
`protected java.lang.String` | `mkdir(java.lang.String parentPath, java.lang.String path)`
`protected void` | `serialize(java.lang.Object object, java.lang.String parentPath, java.lang.String fileName, ObjectSerializer serializer)`
`void` | `setEverythingArg(java.lang.String everythingArg)`
`void` | `setId(java.lang.String id)`
`boolean` | `toProcess()`
`protected void` | `writeData(java.io.InputStream input, java.lang.String parentPath, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.export.modules.ExporterModule
`process`

Field Detail

### commandOut

    protected static final CommandOut commandOut

### exportContext

    protected ExporterModuleContext exportContext

### exportParams

    protected Parameters exportParams

### characterEncoding

    protected java.lang.String characterEncoding

### output

    protected ExportOutput output

### executionContext

    protected ExecutionContext executionContext

### exportEverything

    protected boolean exportEverything

Constructor Detail

### BaseExporterModule

    public BaseExporterModule()

Method Detail

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ExporterModule`

### init

    public void init(ExporterModuleContext moduleContext)

  Specified by:
    `init` in interface `ExporterModule`

### isExportEverything

    protected boolean isExportEverything()

### toProcess

    public boolean toProcess()

  Specified by:
    `toProcess` in interface `ExporterModule`

### isToProcess

    protected abstract boolean isToProcess()

### hasParameter

    protected boolean hasParameter(java.lang.String name)

### getParameterValue

    protected java.lang.String getParameterValue(java.lang.String name)

### getParameterValues

    protected java.lang.String[] getParameterValues(java.lang.String name)

### getIndexElement

    protected org.dom4j.Element getIndexElement()

### serialize

    protected final void serialize(java.lang.Object object,
                                   java.lang.String parentPath,
                                   java.lang.String fileName,
                                   ObjectSerializer serializer)

### getFileOutput

    protected final java.io.OutputStream getFileOutput(java.lang.String parentPath,
                                                       java.lang.String fileName)

### writeData

    protected final void writeData(java.io.InputStream input,
                                   java.lang.String parentPath,
                                   java.lang.String fileName)

### mkdir

    protected final void mkdir(java.lang.String path)

### mkdir

    protected final java.lang.String mkdir(java.lang.String parentPath,
                                           java.lang.String path)

### getEverythingArg

    public java.lang.String getEverythingArg()

### setEverythingArg

    public void setEverythingArg(java.lang.String everythingArg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.